-----------------------------------------------------------------------------
-- Test normal.
-----------------------------------------------------------------------------
local test = require('btd.lua.testapi')
TestNormal = {}

function TestNormal:testEquals()
    test.equals(1,1)
end

function TestNormal:testEqualsNo()
    test.equals(2,1)
end

function TestNormal:testFails()
    test.fails(function() assert(false) end)--error('test fails') end)
end

function TestNormal:testFailsNo()
    test.fails(function () end)
end

function TestNormal:testDiffers()
    a = {1,2}
    b = {}
    b[1] = a[1]; b[2] = a[2]
    test.equals(a,b) -- nice, my table deep copy function works
    b[1] = 3
    test.differs(a,b)
end

function TestNormal:testDiffersNo()
    a = {1,2}
    b = a -- a much simpler table deep copy implementation
    test.equals(a,b)
    b[1] = 3
    test.differs(a,b)
end

function TestNormal:testSucceeds()
    test.succeeds(function() end)
end

function TestNormal:testSucceedsNo()
    test.succeeds(function() error('test succeeds') end)
end

