-----------------------------------------------------------------------------
-- Test time outs : run test methods serial.
--
-- Remarks :
-- - should be used when all test methods access a common resource (file,
--   screen, socket,...)
-- - test class should terminate in the sum of all time out values (2.25 s)
-- - reported errorlocation defaults to first line of the test class
--   because no exact location can be deduced
-----------------------------------------------------------------------------
local test = require('btd.lua.testapi')
TestTimeOut2 = {}

TestTimeOut2.Serial = true -- run all tests in test class serial

TestTimeOut2.test1Time = 0.5 -- 0.5 s time out
function TestTimeOut2:test1()
    while true do end -- this will take some time to finish ?
end

TestTimeOut2.test2Time = 0.75 -- 0.75 s time out
function TestTimeOut2:test2()
    while true do end -- this will take some time to finish ?
end

TestTimeOut2.test3Time = 1 -- 1 s time out
function TestTimeOut2:test3()
    while true do end -- this will take some time to finish ?
end

