-----------------------------------------------------------------------------
-- Test time outs : run some test methods serial.
--
-- Remarks :
-- - could be used when some test methods access a common resource (file,
--   screen, socket,...)
-- - test class should terminate in the sum of serialised time out values or
--   maximum time out value, whichever is bigger (1.25 s)
-- - reported errorlocation defaults to first line of the test class
--   because no exact location can be deduced
-----------------------------------------------------------------------------
local test = require('btd.lua.testapi')
TestTimeOut3 = {}

TestTimeOut3.test1Serial = true -- test accesses a common resource
TestTimeOut3.test1Time = 0.5 -- 0.5 s time out
function TestTimeOut3:test1()
    while true do end -- this will take some time to finish ?
end

TestTimeOut3.test2Serial = true -- test accesses a common resource
TestTimeOut3.test2Time = 0.75 -- 0.75 s time out
function TestTimeOut3:test2()
    while true do end -- this will take some time to finish ?
end

TestTimeOut3.test3Time = 1 -- 1 s time out
function TestTimeOut3:test3()
    while true do end -- this will take some time to finish ?
end

