-- adapted to BTD 1.6.0 test case organisation

-- NEW : Use of btd.lua.test as a plug in replacement for LuaUnit
--       >> change "require('luaunit')" to "LuaUnit = require('btd.lua.test')()"

local test = require('btd.lua.testapi')

TestTiti = {} --class
    function TestTiti:setUp()
        -- set up tests
		self.a = 1
		self.s = 'hop' 
        print( 'TestTiti:setUp' )
    end

	function TestTiti:tearDown()
		-- some tearDown() code if necessary
        print( 'TestTiti:tearDown' )
	end

    function TestTiti:test1_withFailure()
		print( "some stuff test 1" )
        assertEquals( self.a , 1 )
        -- will fail
        assertEquals( self.a , 2 )
        assertEquals( self.a , 2 )
    end

    function TestTiti:test2_withFailure()
		print( "some stuff test 2" )
        assertEquals( self.a , 1 )
        assertEquals( self.s , 'hop' )
        -- will fail
        assertEquals( self.s , 'bof' )
        assertEquals( self.s , 'bof' )
    end

    function TestTiti:test3()
		print( "some stuff test 3" )
        assertEquals( self.a , 1 )
        assertEquals( self.s , 'hop' )
    end

