-----------------------------------------------------------------------------
-- Test code runner with IDE integration 1 : test classes serialised, report
-- after last test class
--
-- Remarks :
-- - yes, you have to do all the hard work yourself
-- - every LuaUnit:run would report all it's results on finishing
-- - takes about 7 s
-----------------------------------------------------------------------------
local LuaUnit = require('btd.lua.test')()

LuaUnit.errorIDE = true
LuaUnit.silent = true -- let's gather all test results before reporting them

-- run unit tests
LuaUnit:run('btd.lua.test.TestCodeError1')
LuaUnit:run('btd.lua.test.TestCodeError2')
LuaUnit:run('btd.lua.test.TestNoClass1')
LuaUnit:run('btd.lua.test.TestNoClass2')
LuaUnit:run('btd.lua.test.TestNoClass3')
LuaUnit:run('btd.lua.test.TestNoMethod1')
LuaUnit:run('btd.lua.test.TestNormal')
LuaUnit:run('btd.lua.test.TestTimeOut1')
LuaUnit:run('btd.lua.test.TestTimeOut2')
LuaUnit:run('btd.lua.test.TestTimeOut3')

LuaUnit:report()

