-----------------------------------------------------------------------------
-- Test time outs : run test methods in parallel
--
-- Remarks :
-- - test class should terminate in the biggest time out value (1 s)
-- - reported errorlocation defaults to first line of the test class
--   because no exact location can be deduced
-----------------------------------------------------------------------------
local test = require('btd.lua.testapi')
TestTimeOut1 = {}

TestTimeOut1.test1Time = 0.5 -- 0.5 s time out
function TestTimeOut1:test1()
    while true do end -- this will take some time to finish ?
end

TestTimeOut1.test2Time = 0.75 -- 0.75 s time out
function TestTimeOut1:test2()
    while true do end -- this will take some time to finish ?
end

TestTimeOut1.test3Time = 1 -- 1 s time out
function TestTimeOut1:test3()
    while true do end -- this will take some time to finish ?
end

